Download it now!
Bug 118002 - Crash in: ntdll.dll saving POTX file
Summary: Crash in: ntdll.dll saving POTX file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5 all versions
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: filter:pptx, preBibisect, regression
Depends on:
Blocks: PPTX Crash
  Show dependency treegraph
 
Reported: 2018-06-04 23:10 UTC by Paul Clarke
Modified: 2020-09-15 07:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["ntdll.dll"]


Attachments
POTX file (20.80 MB, application/vnd.openxmlformats-officedocument.presentationml.template)
2018-06-07 11:57 UTC, Paul Clarke
Details
gdb backtrace (54.78 KB, text/plain)
2018-06-07 12:16 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Clarke 2018-06-04 23:10:38 UTC
This bug was filed from the crash reporting server and is br-a242047d-1462-4bcd-ac15-8b6190ad036f.
=========================================

Load POTX file; "save as" anything; crash.  21MB POTX file.  Shall I attach?
Comment 1 Paul Clarke 2018-06-04 23:14:12 UTC
I should note: crashes with LO version 5, as well as on Windows or Linux
Comment 2 Xisco Faulí 2018-06-05 09:30:01 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 3 Paul Clarke 2018-06-05 15:20:00 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2018-06-05 15:43:30 UTC Comment hidden (obsolete)
Comment 5 Paul Clarke 2018-06-07 11:57:28 UTC
Created attachment 142583 [details]
POTX file
Comment 6 Xisco Faulí 2018-06-07 12:01:26 UTC
Confirmed in

Version: 6.1.0.0.beta1+
Build ID: 8b96445766efe237eb47608ade6c147673466e2e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 8 Xisco Faulí 2018-06-07 12:10:45 UTC
I can reproduce it in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

but not in

Apache OpenOffice 4.1.3

or


LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 9 Xisco Faulí 2018-06-07 12:16:32 UTC
Created attachment 142584 [details]
gdb backtrace
Comment 10 Xisco Faulí 2018-06-07 22:40:05 UTC
Also reproduced in

LibreOffice 3.5.0 
Build ID: d6cde02
Comment 11 Roman Kuznetsov 2019-01-02 17:42:30 UTC
still crashed in

Version: 6.3.0.0.alpha0+
Build ID: 9c9558bf9151bff50735b1ca61d2d3de881b24ce
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 12 Buovjaga 2019-09-29 17:48:10 UTC
Still crashes

Version: 6.4.0.0.alpha0+ (x64)
Build ID: d744838991594eebe27acc4c7d9fb4579d654853
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-29_05:12:00
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 13 Commit Notification 2020-09-11 10:39:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b7756fdde63b1eef85ef13772fc3578e345d34dc

crashtesting: failed on export of tdf118002-1.potx to pptx

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-09-11 16:18:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e5c3ba093ee03828b777784c93e90e7045de5152

tdf#118002 fix export to pptx with missing background property set

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Buovjaga 2020-09-11 17:10:14 UTC
I confirmed the fix in the previous commit and the file also no longer crashes with any save target!
Comment 16 Caolán McNamara 2020-09-11 20:42:45 UTC
lets call it fixed then, backport of last two patches to 7-0 in gerrit
Comment 17 Commit Notification 2020-09-15 07:58:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/80497a3f2b41c99fcd0b6987d1bfb213ea86fdb2

crashtesting: failed on export of tdf118002-1.potx to pptx

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.